<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:
/**
 * Objeto asociado a una tabla de la base de datos.
 * Parcialmente generado por DB_DataObject.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2004 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: Victima_colectiva.php,v 1.25 2009/04/29 14:45:54 vtamara Exp $
 * @link      http://sivel.sf.net
 */

/**
 * Definicion para la tabla victima_colectiva.
 */
require_once 'DB/DataObject.php';

/**
 * Definicion para la tabla victima_colectiva.
 * Ver documentación de DataObjects_Caso.
 *
 * @category SIVeL
 * @package  SIVeL
 * @author   Vladimir Támara <vtamara@pasosdeJesus.org>
 * @license  http://creativecommons.org/licenses/publicdomain/ Dominio Público.
 * @link     http://sivel.sf.net/tec
 * @see      DataObjects_Caso
 */
class DataObjects_Victima_colectiva extends DB_DataObject 
{
    // START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'victima_colectiva';               // table name
    var $id;                              // int4(4)  not_null primary_key
    var $anotacion;                       // varchar(-1)  
    var $nombre;                          // varchar(-1)  
    var $personas_aprox;                  // int4(4)  
    var $id_organizacion_armada;          // int4(4)  

    /**
     * ZE2 compatibility trick
     *
     * @return copia del objeto
     */
    function __clone() 
    {
        return $this;
    }

    /**
     * Static get
     *
     * @param mixed $k Llave
     * @param mixed $v Valor
     *
     * @return Registro cuya llave sea el valor.
     */
    function staticGet($k, $v = null) 
    {
        return DB_DataObject::staticGet('DataObjects_Victima_colectiva', $k, $v);
    }

    /* the code above is auto generated do not remove the tag below */
    // END_AUTOCODE
    var $fb_preDefOrder = array('nombre', 'personas_aprox', 
        'id_organizacion_armada', 'anotacion');
    var $fb_fieldsToRender = array('nombre', 'personas_aprox', 
        'id_organizacion_armada', 'anotacion');
    var $fb_addFormHeader = false;
    var $fb_fieldLabels = array(
        'nombre' => 'Nombre',
        'id_organizacion_armada'=> 'Organización Armada Víctima',
        'personas_aprox' => 'Num. Aprox. Personas',
        'anotacion' => 'Anotaciones'
    );
   
    /**
     * Pone un valor en la base diferente al recibido del formulario.
     *
     * @param string $value Valor en formulario
     *
     * @return Valor para BD
     */
    function setpersonas_aprox($value) 
    {
        $this->personas_aprox= ($value == '') ? 'null' : $value;
    }

    /**
     * Prepara antes de generar formulario.
     *
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function preGenerateForm(&$formbuild)
    {
        if (!isset($this->id_organizacion_armada)) {
            include_once "Presuntos_responsables.php";
            $this->id_organizacion_armada =
                DataObjects_Presuntos_responsables::id_sininfo();
        } 
    }

    /**
     * Ajusta formulario generado.
     *
     * @param object &$form      Formulario HTML_QuickForm
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function postGenerateForm(&$form, &$formbuild)
    {
        $sel =& $form->getElement('nombre');
        if (isset($sel) && !PEAR::isError($sel)) {
            $sel->setSize(70);
            $sel->setMaxlength(150);
            if (isset($GLOBALS['etiqueta']['nombre'])) {
                $sel->setLabel($GLOBALS['etiqueta']['nombre']);
            }
        }
        
        $sel =& $form->getElement('personas_aprox');
        if (isset($sel) && !PEAR::isError($sel)) {
            $sel->setSize(5);
            if (isset($GLOBALS['etiqueta']['personas_aprox'])) {
                $sel->setLabel($GLOBALS['etiqueta']['personas_aprox']);
            }
        }

        $sel =& $form->getElement('id_organizacion_armada');
        if (isset($sel) && !PEAR::isError($sel) &&
            isset($GLOBALS['etiqueta']['organizacion_armada'])) {
            $sel->setLabel($GLOBALS['etiqueta']['organizacion_armada']);
            }

        $sel =& $form->getElement('anotacion');
        if (isset($sel) && !PEAR::isError($sel)) {
            $sel->setSize(70);
            $sel->setMaxlength(100);
            if (isset($GLOBALS['etiqueta']['anotacion'])) {
                $sel->setLabel($GLOBALS['etiqueta']['anotacion']);
            }
        }
    }


        

}

?>
